Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.units
Interface Money

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Subinterfaces:
  DescribedMoney, DescribedPrice, Price

All Known Implementing Classes:
  DescribedMoneyImpl, DescribedPriceImpl, MoneyImpl, PriceImpl

Deprecated

    @Deprecated
    public interface Money

extends Belonging

Represents money as value and currency

See Also
  `MoneyHome`

Method Summary
`String` | `getCurrency()` Deprecated Returns the currency of money
`double` | `getValue()` Deprecated Returns the value of money
`void` | `setCurrency(String currency)` Deprecated Sets the currency of money
`void` | `setValue(double value)` Deprecated Sets the value of money

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getValue

    double getValue()

  Deprecated
  Returns the value of money

  Returns
    value.

### setValue

    void setValue(double value)

  Deprecated
  Sets the value of money

  Parameters
    `value` - value to be set

### getCurrency

    String getCurrency()

  Deprecated
  Returns the currency of money

  Returns
    currency.

### setCurrency

    void setCurrency(String currency)
                     throws InvalidArgumentException

  Deprecated
  Sets the currency of money

  Parameters
    `currency` - currency to be set
  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.